## org.apache.poi.xwpf.usermodel
Class XWPFComment

    java.lang.Object
      org.apache.poi.xwpf.usermodel.XWPFComment

    public class XWPFComment

extends java.lang.Object

Sketch of XWPF comment class

Author:
  Yury Batrakov (batrakov at gmail.com)

Field Summary
`protected java.lang.String` `author`
`protected java.lang.String` `id`
`protected java.lang.StringBuffer` `text`

Constructor Summary
`XWPFComment(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTComment comment, XWPFDocument document)`

Method Summary
`java.lang.String` `getAuthor()`
`java.lang.String` `getId()`
`java.lang.String` `getText()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    protected java.lang.String id

### author

    protected java.lang.String author

### text

    protected java.lang.StringBuffer text

Constructor Detail

### XWPFComment

    public XWPFComment(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTComment comment,
                       XWPFDocument document)

Method Detail

### getId

    public java.lang.String getId()

### getAuthor

    public java.lang.String getAuthor()

### getText

    public java.lang.String getText()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.